USE MyAdventureGame
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[User_ToggleBan]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[User_ToggleBan]
GO

CREATE PROCEDURE [User_ToggleBan]
(
  @Username VARCHAR(20),
  @Ban CHAR(1) = 'N'
) AS BEGIN

/****************************************
 * General Info
 ****************************************/
	IF NOT EXISTS (SELECT NULL FROM [MyAdventureGame].dbo.[Users] WHERE [MyAdventureGame].dbo.[Users].[Username] = @Username)
	BEGIN
		RETURN
	END

	IF (@Ban = 'Y' OR @Ban = 'N')
	BEGIN
		UPDATE [Users]
		SET [Banned Indicator] = @Ban
		WHERE [Username] = @Username
	END
END

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

